(function (Drupal) {

  Drupal.behaviors.block_button_modal_block = {
    attach: function (context, settings) {
      var wrappers = context.querySelectorAll('.block-button-modal-block-wrapper');
      wrappers.forEach(function (wrapper) {
        var button = wrapper.querySelector('button'),
          block = wrapper.querySelector('.block');
        button.dialog = Drupal.dialog('#' + block.getAttribute('id'), {
          title: button.getAttribute('data-block-button-modal-title'),
          width: '100%'
        });

        button.addEventListener('click', function (e) {
          e.preventDefault();
          this.dialog.showModal();
        })


      });
    }
  };
})(Drupal);

// <script>
//   window.addEventListener('load', function () {
//   var dialog = Drupal.dialog('#ruud', {
//   title: 'search-api-saved-searches-save-default-form-wrapper',
//   width: '80%'
// });
//
//   dialog.showModal();
// });
// </script>
